AUTORECONF(1)

NAME
autoreconf - update configure scripts

SYNOPSIS
autoreconf [ --help | -h ] [ --version | -V ] [ --verbose | -v ] [ --debug | -d ] [ --force | -f ] [ --install | -i ] [ --symlink | -s ] [ --localdir=dir | -l dir ] [ --autoconf-dir=dir | -A dir ] [ --m4-dir=dir | -M dir ] [ --cygnus ] [ --foreign ] [ --gnits ] [ --gnu ] [ --include-deps ]

DESCRIPTION

If you have a lot of Autoconf-generated configure scripts, the autoreconf program can save you some work. It runs autoconf (and autoheader, where appropriate) repeatedly to remake the Autoconf configure scripts and configuration header templates in the directory tree rooted at the current directory. By default, it only remakes those files that are older than their configure.ac or (if present) aclocal.m4. Since autoheader does not change the timestamp of its output file if the file wouldn't be changing, this is not necessarily the minimum amount of work. If you install a new version of Autoconf, you can make autoreconf remake all of the files by giving it the --force option.

If you give autoreconf the --autoconf-dir=dir or --localdir=dir options, it passes them down to autoconf and autoheader (with relative paths adjusted properly).

autoreconf does not support having, in the same directory tree, both directories that are parts of a larger package (sharing aclocal.m4 and acconfig.h), and directories that are independent packages (each with their own aclocal.m4 and acconfig.h). It assumes that they are all part of the same package, if you use --localdir, or that each directory is a separate package, if you don't use it. This restriction may be removed in the future.

autoreconf accepts the following options:

--help

-h  Print a summary of the command line options and exit.

--version

-V  Print the version number of Autoconf and exit.

--verbose
    Print the name of each directory where autoreconf runs autoconf (and autoheader, if appropriate).

--debug

-d  Don't remove the temporary files.

--force

-f  Remake even configure scripts and configuration headers that are newer than their input files (configure.ac and, if present, aclocal.m4).

--install

-i  Copy missing auxiliary files. This option is similar to the option --add-missing in automake.

--symlink

-s  Instead of copying missing auxiliary files, install symbolic links.

--localdir=dir

-l dir
    Look for the package file aclocal.m4 in directory dir instead of in the current directory.

--autoconf-dir=dir

-m dir
    Look for the installed macro files in directory dir. You can also set the AC_MACRODIR environment variable to a directory; this option overrides the environment variable.

--m4dir=dir

-M dir
    Specify location of additional macro files (m4 by default).

--cygnus

--foreign

--gnits

--gnu

--include-deps
    These options are recognized and passed through to automake.

SEE ALSO
autoconf(1), autoheader(1), autoscan(1), autoupdate(1), ifnames(1)

AUTHORS
David MacKenzie, with help from Franc,ois Pinard, Karl Berry, Richard Pixley, Ian Lance Taylor, Roland McGrath, Noah Friedman, David D. Zuhn, and many others. This manpage written by Ben Pfaff <pfaffben@debian.org> for the Debian GNU/Linux autoconf package.